#include <QtGui>
#include "information.h"
#include "fcan_view.h"

Information::Information(QWidget *parent)
	: QWidget(parent)
{
	ui.setupUi(this);
	hide();

	pFcanView = NULL;

}

Information::~Information()
{
}

////////////////////////////////////////
// Pointer Setting
////////////////////////////////////////
void Information::FcanViewSet( FCAN_View * fcanview )
{
	pFcanView = fcanview;
}
////////////////////////////////////////
// Information Public function
////////////////////////////////////////
void Information::Information_append(QString qstr)
{
	ui.txtInformation->append(qstr);
}
void Information::Information_set(QString qstr)
{
	ui.txtInformation->setText(qstr);
}
// Close
void Information::closeEvent(QCloseEvent * pEvent)
{
	pFcanView->ViewWindow[6] = false;
}

